function set_aout(L)
% Set analog output
%
% Author: DJ van Gerwen
% Created: 2016 june 5


if ~isempty(L.DAC_state_V) % Q&D...
    for i = 1:length(L.DAC_list)
        if ismember(L.device_type,{'U3','UE9'})
            L.UDobject.eGet(L.lj_handle, LabJack.LabJackUD.IO.PUT_DAC, L.DAC_list(i), L.DAC_state_V(i), 0);
        elseif strcmp(L.device_type,'T7')
            LabJack.LJM.eWriteName(L.lj_handle,sprintf('DAC%u',L.DAC_list(i)),L.DAC_state_V(i));
        end
    end
end

end